%global pypi_name django-debreach

Summary:        BREACH mitigation for Django apps
Name:           python-%{pypi_name}
Version:        2.1.0
Release:        3%{?dist}
License:        BSD
URL:            https://github.com/lpomfrey/django-debreach
Source0:        https://github.com/lpomfrey/django-debreach/archive/refs/tags/%{version}.tar.gz

BuildRequires:  python3-devel python3-django python3-setuptools python3-sphinx

BuildArch:      noarch

%description
Extra mitigation against the BREACH attack for Django projects.

%package -n     python3-%{pypi_name}
Summary:        BREACH mitigation for Django apps
Requires:       python3dist(django) >= 2.0

%description -n python3-%{pypi_name}
Extra mitigation against the BREACH attack for Django projects.

%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%generate_buildrequires
%pyproject_buildrequires -x tests

%build
%pyproject_wheel

%install
%pyproject_install

%check 
python3 runtests.py --settings=test_sqlite --verbosity=2 --parallel 1

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/debreach
%{python3_sitelib}/*.dist-info

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Sun Apr 23 2023 Miaojun Dong <zoedong@tencent.com> - 2.1.0-2
- rebuild for django-2.2.28

* Fri Apr 21 2023 Miaojun Dong <zoedong@tencent.com> - 2.1.0-1
- initial build
